## ros-rolling-rosidl-generator-py 0.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_generator_py)

find_package(ament_cmake REQUIRED)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_cmake)

ament_index_register_resource("rosidl_generator_packages")

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)

  find_package(rmw REQUIRED)
  find_package(rosidl_cmake REQUIRED)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(test_interface_files REQUIRED)

  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra MODULE REQUIRED)

  set(BUILDTYPE_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
  if(WIN32 AND "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    set(BUILDTYPE_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
  endif()

  include(cmake/register_py.cmake)
  include(cmake/rosidl_generator_py_get_typesupports.cmake)

  # Trick ament_target_dependencies() into thinking this package has been found
  set(rosidl_generator_py_FOUND "1")
  set(rosidl_generator_py_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

  # Need to call extras before get_typesupports, to register the extension
  rosidl_generator_py_extras(
    "${CMAKE_CURRENT_SOURCE_DIR}/bin/rosidl_generator_py"
    "${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/__init__.py;${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_py/generate_py_impl.py"
    "${CMAKE_CURRENT_SOURCE_DIR}/resource"
  )

  # If no message files were generated, skip the test.
  rosidl_generator_py_get_typesupports(_typesupport_impls)
  if(_typesupport_impls STREQUAL "")
    message(WARNING "No valid typesupport found for Python generator, skipping tests.")
  else()
    # Use a custom suffix for the target name here to detect regressions of this:
    #   https://github.com/ros2/rosidl_python/issues/11
    # The alternative style (just using ${PROJECT_NAME}) is used by most interface packages.
    rosidl_generate_interfaces(${PROJECT_NAME}_custom
      ${test_interface_files_MSG_FILES}
      # Cases not covered by test_interface_files
      msg/StringArrays.msg
      msg/Property.msg
      ADD_LINTER_TESTS
      SKIP_INSTALL
    )

    set(_append_library_dirs "")
    if(WIN32)
      set(_append_library_dirs "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>")
    endif()

    set(pythonpath "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py;${CMAKE_CURRENT_SOURCE_DIR}")
    if(NOT WIN32)
      string(REPLACE ";" ":" pythonpath "${pythonpath}")
    endif()
    ament_add_pytest_test(test_interfaces_py "test/test_interfaces.py"
      PYTHON_EXECUTABLE "${BUILDTYPE_PYTHON_EXECUTABLE}"
      APPEND_ENV "PYTHONPATH=${pythonpath}"
      APPEND_LIBRARY_DIRS "${_append_library_dirs}"
      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py"
    )

    ament_add_pytest_test(test_cli_extension test/test_cli_extension.py
      PYTHON_EXECUTABLE "${BUILDTYPE_PYTHON_EXECUTABLE}"
    )

    ament_add_pytest_test(test_property_py test/test_property.py
      PYTHON_EXECUTABLE "${BUILDTYPE_PYTHON_EXECUTABLE}"
      APPEND_ENV "PYTHONPATH=${pythonpath}"
      APPEND_LIBRARY_DIRS "${_append_library_dirs}"
      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_py"
    )
  endif()
endif()

ament_package(
  CONFIG_EXTRAS "cmake/rosidl_generator_py_get_typesupports.cmake"
    "cmake/register_py.cmake"
    "rosidl_generator_py-extras.cmake.in"
)

install(
  PROGRAMS bin/rosidl_generator_py
  DESTINATION lib/rosidl_generator_py
)
install(
  DIRECTORY cmake resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-rosidl-generator-py (0.14.1-1focal) focal; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.0-1focal) focal; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.13.0-1focal) focal; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 16 Jul 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.12.0-1focal) focal; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.11.0-1focal) focal; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.10.0-1focal) focal; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.4-1focal) focal; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.3-1focal) focal; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.2-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.1-1focal) focal; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.0-1focal) focal; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Scott K Logan <scott@openrobotics.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.1-1focal) focal; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.0-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pytest, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-index-python, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cmake, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-generator-cpp, ros-rolling-rosidl-parser, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rpyutils, ros-rolling-test-interface-files, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-rolling-ament-cmake, ros-rolling-ament-index-python, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cli, ros-rolling-rosidl-cmake, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-parser, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-interface, ros-rolling-rpyutils, ros-rolling-ros-workspace
Description: Generate the ROS interfaces in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosidl-generator-py//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosidl-generator-py 0.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 ament_export_dependencies(ament_cmake)
 ament_export_dependencies(rmw)
-ament_export_dependencies(rosidl_cmake)
 
 ament_index_register_resource("rosidl_generator_packages")
 
@@ -56,6 +55,7 @@
     rosidl_generate_interfaces(${PROJECT_NAME}_custom
       ${test_interface_files_MSG_FILES}
       # Cases not covered by test_interface_files
+      msg/BuiltinTypeSequencesIdl.idl
       msg/StringArrays.msg
       msg/Property.msg
       ADD_LINTER_TESTS

=== debian/changelog ===
ros-rolling-rosidl-generator-py (0.20.0-1jammy) jammy; urgency=high

  * Fix: Missing dependency that causes cmake error in downstream (resolves https://github.com/ros2/rosidl_python/issues/198) (#199 <https://github.com/ros2/rosidl_python/issues/199>)
  * Contributors: Isaac Saito

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.19.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.18.0-1jammy) jammy; urgency=high

  * Hides the assertions that checks the data types of the message fields. (#194 <https://github.com/ros2/rosidl_python/issues/194>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.17.0-1jammy) jammy; urgency=high

  * Service introspection (#178 <https://github.com/ros2/rosidl_python/issues/178>)
  * [rolling] Update maintainers - 2022-11-07 (#189 <https://github.com/ros2/rosidl_python/issues/189>)
  * Contributors: Audrow Nash, Brian

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.16.1-1jammy) jammy; urgency=high

  * Remove stray numpy import (#185 <https://github.com/ros2/rosidl_python/issues/185>)
  * Contributors: Ben Wolsieffer

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.16.0-1jammy) jammy; urgency=high

  * man_farmer
    
    Fix NaN values bound numpy windows version (#182)
  * Allow NaN values to pass floating point bounds check. (#167 <https://github.com/ros2/rosidl_python/issues/167>)
  * Replace rosidl_cmake imports with rosidl_pycommon (#177 <https://github.com/ros2/rosidl_python/issues/177>)
  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>)
  * Merge pull request #173 <https://github.com/ros2/rosidl_python/issues/173> from ros2/quarkytale/fix_import_order
  * fix flake
  * sorting after conversion
  * Revert "Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)" (#166 <https://github.com/ros2/rosidl_python/issues/166>)
  * Use modern cmake targets to avoid absolute paths to appear in binary archives (#160 <https://github.com/ros2/rosidl_python/issues/160>)
  * michel as author
  * adding maintainer
  * Contributors: Cristóbal Arroyo, Dharini Dutia, Ivan Santiago Paunovic, Jacob Perron, Tomoya Fujita, quarkytale, Øystein Sture

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.15.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.2-1jammy) jammy; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>)
  * require Python 3.6 as we use format strings in various places (#152 <https://github.com/ros2/rosidl_python/issues/152>)
  * Contributors: Charles Cross, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.1-1jammy) jammy; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.0-1jammy) jammy; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.13.0-1jammy) jammy; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 16 Jul 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.12.0-1jammy) jammy; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 11 Jun 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.11.0-1jammy) jammy; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.10.0-1jammy) jammy; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.4-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-index-python <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-python-cmake-module <!nocheck>, ros-rolling-rmw <!nocheck>, ros-rolling-rosidl-cmake <!nocheck>, ros-rolling-rosidl-generator-c <!nocheck>, ros-rolling-rosidl-generator-cpp <!nocheck>, ros-rolling-rosidl-parser <!nocheck>, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c <!nocheck>, ros-rolling-rosidl-typesupport-fastrtps-c <!nocheck>, ros-rolling-rosidl-typesupport-introspection-c <!nocheck>, ros-rolling-rpyutils <!nocheck>, ros-rolling-test-interface-files <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-cpplint, ros-rolling-ament-cmake-flake8, ros-rolling-ament-cmake-pep257, ros-rolling-ament-cmake-uncrustify, ros-rolling-ament-index-python, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cli, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-parser, ros-rolling-rosidl-pycommon, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-interface, ros-rolling-rpyutils, ros-rolling-ros-workspace
Description: Generate the ROS interfaces in Python.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
